Skip to main content
DELETE
/
{team_id}
/
time
/
timer
Stop the current user's timer
curl --request DELETE \
  --url https://api.superthread.com/v1/{team_id}/time/timer \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superthread.com/v1/{team_id}/time/timer"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superthread.com/v1/{team_id}/time/timer', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "time_entry": {
    "id": "01HQK6Z9YJZ4M9JX8FVB6QXYAB",
    "type": "time_entry",
    "team_id": "tDsu0j19",
    "scope_type": "card",
    "scope_id": "2700",
    "user_id": "uR2dws11",
    "started_at": 1608742037016,
    "duration_seconds": 1800,
    "description": "Pairing with Alex on the API spec",
    "billable": true,
    "rate_snapshot_cents": 12500,
    "deleted_at": 1608742037016,
    "locked_at": 1608742037016,
    "time_created": 1608742037016,
    "time_updated": 1608742037016
  }
}
{
  "error": {
    "id": "err5f744ab",
    "code": 403,
    "sec": "SEC:000-00014",
    "message": "You do not have access to this resource",
    "date": 1608742037016
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Response

Timer stopped; created time entry returned

time_entry
object